LogTransformer.Builder (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.instrumentation
Class LogTransformer.Builder

    java.lang.Object
      org.slf4j.instrumentation.LogTransformer.Builder

Enclosing class:
  LogTransformer

    public static class LogTransformer.Builder

extends Object

Builder provides a flexible way of configuring some of many options on the parent class instead of providing many constructors. `://rwhansen.blogspot.com/2007/07/theres-builder-pattern-that-joshua.html`

Constructor Summary
`LogTransformer.Builder()`

Method Summary
`LogTransformer.Builder` | `addEntryExit(boolean b)` Should each method log entry (with parameters) and exit (with parameters and returnvalue)?
`LogTransformer` | `build()` Build and return the LogTransformer corresponding to the options set in this Builder.
`LogTransformer.Builder` | `ignore(String[] strings)`
`LogTransformer.Builder` | `level(String level)`
`LogTransformer.Builder` | `verbose(boolean b)` Should LogTransformer be verbose in what it does?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogTransformer.Builder

    public LogTransformer.Builder()

Method Detail

### build

    public LogTransformer build()

  Build and return the LogTransformer corresponding to the options set in this Builder.

  Returns:

### addEntryExit

    public LogTransformer.Builder addEntryExit(boolean b)

  Should each method log entry (with parameters) and exit (with parameters and returnvalue)?

  Parameters:
    `b` - value of flag
  Returns:

### verbose

    public LogTransformer.Builder verbose(boolean b)

  Should LogTransformer be verbose in what it does? This currently list the names of the classes being processed.

  Parameters:
    `b` -
  Returns:

### ignore

    public LogTransformer.Builder ignore(String[] strings)

### level

    public LogTransformer.Builder level(String level)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.